Skip to main content
`Ctrl`+`K`

# DMPlexCreateRankField

Create a cell field whose value is the rank of the owner

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateRankField(DM dm, Vec *ranks)

## Input Parameter

- dm - The `DMPLEX` object

## Output Parameter

- ranks - The rank field

## Options Database Key

- -dm_partition_view - Adds the rank field into the `DM` output from `-dm_view` using the same viewer

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMView()`

## Level

intermediate

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages